{% extends "base.html" %}

{% block content %}
 <h2>Browse - Page {{ cards.number }}</h2>

 <dl>
  {% for card in cards.object_list %}
    <dt>{{ card.question }}</dt>
    <dd>{{ card.answer }}</dd>
  {% endfor %}
 </dl>

<div class="pagination">
    <span class="step-links">
        {% if cards.has_previous %}
            <a href="/browse/{{ cards.previous_page_number }}">previous</a>
        {% endif %}

        <span class="current">
            Page {{ cards.number }} of {{ cards.paginator.num_pages }}.
        </span>

        {% if cards.has_next %}
            <a href="/browse/{{ cards.next_page_number }}">next</a>
        {% endif %}
    </span>
</div>

{% endblock %}
